---
- job:
    name: kolla-ansible-base
    pre-run: tests/pre.yml
    run: tests/run.yml
    post-run: tests/post.yml
    attempts: 5
    timeout: 7200
    required-projects:
      - openstack/kolla-ansible
    irrelevant-files:
      - ^.*\.rst$
      - ^doc/.*
      - ^lower-constraints.txt$
      - ^releasenotes/.*$
      - ^deploy-guide/.*$
      - ^test-requirements.txt$
      - ^etc/kolla/globals.yml$
      - ^tox.ini$
      - ^\..+
      - ^LICENSE$
      - ^contrib/
      - ^specs/
      - ^kolla_ansible/tests/
    vars:
      scenario: core
      is_upgrade: no
      api_network_prefix: "192.0.2."
      api_network_prefix_length: "24"
      api_interface_name: vxlan0
      kolla_internal_vip_address: "192.0.2.10"
      address_family: 'ipv4'
    roles:
      - zuul: zuul/zuul-jobs

- job:
    name: kolla-ansible-upgrade-base
    parent: kolla-ansible-base
    vars:
      previous_release: train
      is_upgrade: yes

- job:
    name: kolla-ansible-ipv6-base
    parent: kolla-ansible-base
    voting: false
    vars:
      api_network_prefix: "fd::"
      api_network_prefix_length: "64"
      kolla_internal_vip_address: "fd::ff:0"
      address_family: 'ipv6'

- job:
    name: kolla-ansible-bifrost-base
    parent: kolla-ansible-base
    vars:
      scenario: bifrost
      install_type: source

- job:
    name: kolla-ansible-ironic-base
    parent: kolla-ansible-base
    voting: false
    files:
      - ^ansible/roles/(ironic|nova)/
      - ^tests/test-ironic.sh
      - ^tests/test-dashboard.sh
    vars:
      scenario: ironic

- job:
    name: kolla-ansible-zun-base
    parent: kolla-ansible-base
    voting: false
    files:
      - ^ansible/roles/(zun|kuryr|etcd)/
      - ^tests/setup_disks.sh
      - ^tests/test-zun.sh
      - ^tests/test-dashboard.sh
    vars:
      scenario: zun

- job:
    name: kolla-ansible-swift-base
    parent: kolla-ansible-base
    voting: false
    files:
      - ^ansible/roles/(glance|swift)/
      - ^tests/setup_disks.sh
      - ^tests/init-swift.sh
      - ^tests/test-core-openstack.sh
      - ^tests/test-dashboard.sh
      - ^tests/test-swift.sh
    vars:
      scenario: swift
